#!/usr/bin/env python3

import stumpy
import numpy as np
import time
import sys

if len(sys.argv) != 3:
    sys.exit("Not enough arguments")

size = int(sys.argv[1])
windowSize = int(sys.argv[2])
print("Size", size, "Query", windowSize)

ts = np.random.rand(size)
matrix_profile = stumpy.stump(ts, m=windowSize)

print("MP size:", len(matrix_profile))
print( matrix_profile[:, 0] )
print( matrix_profile[:, 1] )
